function test_problems(method)
% TEST_PROBLEMS Runs test on the chosen method 

% Problem 1:   lin1p.m 
    disp('Problem: lin1p')
    x0=2.0; h=0.04;
    figure;
    [t,x]=feval(method, @lin1p,0,2, x0, h);
    plot(t,x,'bo',t,x,'b');

% Problem 2:   lin2.m 
    disp('Problem: lin2')
    figure;
    x0 = [2;1]; h = 1e-3;
    [t,x]=feval(method, @lin2, 0,.1, x0, h);
    plot(t,x(:,1),'b');

%-----------------------------------
% Problem 3:  sat_ode.m
    disp('Problem: sat_ode')
    figure
    x0 = [1.2; 0; 0; -1.04935750983031990726]; h = 1e-3;
    [t,x] = feval(method, @sat_ode, 0, 6.19216933131963970674, x0, h);
    plot(x(:,1), x(:,2));
    xlabel('x(:,1)'), ylabel('x(:,2)')
